Packages - Bug #1692

[blender]: error while loading shared libraries: libOpenlmagelO.s0.1.7 # Solventado! Ok
2018-04-05 05:18 AM - arescorpio

Status: fixed % Done: 100%
Priority: bug

Assignee: oaken-source

Category:

Description

parabolapc@parabolapc ~]$ blender
blender: error while loading shared libraries: libOpenImageIO.so.l.7: cannot open shared object fi
le: No such file or directory

Related issues:
Related to Packages - Bug #1659: [blender]: error loading shared libary libHa... not-a-bug 2018-03-15

History

#1 - 2018-04-05 05:38 AM - bill-auger
- Status changed from open to info needed
- Description updated

- Subject changed from Blender not run to [blender]: error while loading shared libraries: libOpenimagelO.so.1.7

what is your current blender version?
have you run pacman -Syu recently?
could you say more about your system? is it i686, x86_64, ARM? systemd, openrc?

#2 - 2018-04-05 06:15 AM - arescorpio
x86_64 systemd

[root@parabolapc parabolapc]# pacman —-Syu
Sincronizando las bases de datos de los paquetes...
libre estd actualizado
core estéd actualizado
extra estd actualizado
community estd actualizado
pcr estd actualizado
Iniciando actualizacidén completa del sistema...
...el sistema ya estd actualizado.
[root@parabolapc parabolapc]# blender
blender: error while loading shared libraries: libOpenImageIO.so.l.7: cannot open shared object file: No such
file or directory

#3 - 2018-04-05 06:28 AM - bill-auger

- Status changed from info needed to open
ok this is confirmed - blender needs to be rebuilt

#4 - 2018-04-05 06:28 AM - bill-auger
- Related to Bug #1659: [blender]: error loading shared libary libHalf.so.12 added

#5 - 2018-04-06 01:23 AM - bill-auger

depends on package 'llvm35' which no longer exists - fails to build against package 'llvm'

| /build/blender/src/blender-2.79/intern/cycles/graph/node_xml.cpp:257:1: error: reference to ‘pugi’ is ambi
guous
| pugi::xml_node xml_write_node (Node *node, pugi::xml_node xml_root)

A

In file included from /build/blender/src/blender-2.79/intern/cycles/graph/../util/util_xml.h:22:0,
from /build/blender/src/blender-2.79/intern/cycles/graph/../graph/node_xml.h:23,

|
|
|
| from /build/blender/src/blender-2.79/intern/cycles/graph/node_xml.cpp:17:
| /usr/include/OpenImageIO/pugixml.hpp:109:28: note: candidates are: namespace pugi = OpenlImageIO_vl_8::0pen
ImageIO_vl_8::pugi;

| namespace pugi = OIIO::pugi;
/usr/include/OpenImageIO/pugixml.hpp:107:11: note: namespace OpenlImageIO_vl_8::pugi { }
namespace pugi {}

AT

| /build/blender/src/blender-2.79/intern/cycles/graph/node_xml.cpp:30:20: warning: ‘const char* ccl::xml_wri
te_boolean (bool)’ defined but not used [-Wunused-function]
| static const char *xml_write_boolean (bool value)

I Naummmvmvv v~~~

| make[2]: *** [intern/cycles/graph/CMakeFiles/cycles_graph.dir/build.make:111: intern/cycles/graph/CMakeFil
es/cycles_graph.dir/node_xml.cpp.o] Error 1

| make[l]: *** [CMakeFiles/Makefile2:1377: intern/cycles/graph/CMakeFiles/cycles_graph.dir/all] Error 2

|  make: *** [Makefile:163: all] Error 2

| ==> ERROR: A failure occurred in build().

| Aborting...

#6 - 2018-04-06 03:28 AM - arescorpio

version: 2,69

#7 - 2018-04-19 12:33 PM - bill-auger

- Assignee set to oaken-source

#8 - 2018-04-19 01:11 PM - oaken-source
- % Done changed from 0 to 50

thanks for tagging me on this.
recipe is fixed and builds are queued.

#9 - 2018-04-20 02:34 PM - oaken-source
- % Done changed from 50 to 100

- Status changed from open to fixed

should be fixed in blender-17:2.79.b-5.parabola1

#10 - 2018-04-21 02:25 AM - arescorpio

- Subject changed from [blender]: error while loading shared libraries: libOpenlmagelO.so.1.7 to [blender]: error while loading shared libraries:

libOpenimagelO.so.1.7 # Solventado! Ok

Very estimated , them agradesco a lot the work realised with Blender.
Already it works usually . Solved . Long life to parabola GNU/Linux-free!
